@charset "utf-8";

/*
 * File    : lang-cn.css
 * Author  : STUDIO-JT (JSH)
 *
 * SUMMARY :
 * FONT
 * VARIABLES
 * LAYOUT
 * BUTTON
 * INTRODUCE
 * LOGIN
 * RWD
 */



/* **************************************** *
 * FONT
 * **************************************** */
@font-face {
    font-family: 'NotoSansSC';
    font-weight: 400;
    src: url('../fonts/NotoSans/NotoSansSC-light.woff2') format('woff2'), 
         url('../fonts/NotoSans/NotoSansSC-light.woff') format('woff');
}

@font-face {
    font-family: 'NotoSansSC';
    font-weight: 500;
    src: url('../fonts/NotoSans/NotoSansSC-regular.woff2') format('woff2'), 
         url('../fonts/NotoSans/NotoSansSC-regular.woff') format('woff');
}

@font-face {
    font-family: 'NotoSansSC';
    font-weight: 600;
    src: url('../fonts/NotoSans/NotoSansSC-bold.woff2') format('woff2'), 
         url('../fonts/NotoSans/NotoSansSC-bold.woff') format('woff');
}



/* **************************************** *
 * VARIABLES
 * **************************************** */
html[lang="cn"] {

    --font-primary: 'NotoSansSC', 'Pretendard', sans-serif;
    --font-secondary: 'NotoSansSC', sans-serif;

    --font-size-primary-01: 66rem;
    --font-size-primary-03: 42rem;
    --font-size-primary-05: 31rem;
    --font-size-primary-08: 20rem;

}



/* **************************************** *
 * TYPOGRAPHY
 * **************************************** */
.jt-typo--16 { letter-spacing: -.01em; }
.jt-typo--17 { letter-spacing: -.01em; }



/* **************************************** *
 * LAYOUT
 * **************************************** */
html[lang="cn"] body { word-break: break-all; }

/* HEADER */
html[lang="cn"] .header__utils-auth { position: relative; top: -1rem; }



/* **************************************** *
 * BUTTON
 * **************************************** */
html[lang="cn"] .jt-btn__basic > span { top: -.5rem; }
html[lang="cn"] .jt-btn__basic.jt-btn--small > span { top: 0; }



/* **************************************** *
 * INTRODUCE
 * **************************************** */
html[lang="cn"] .introduce-sustainability-vision__item { gap: 138rem; }



/* **************************************** *
 * LOGIN
 * **************************************** */
html[lang="cn"] .user-login-utils > a + a:before { margin-top: 1rem; }



/* **************************************** *
 * RWD
 * **************************************** */
@media (max-width: 1480px){
    
    /* INTRODUCE */
    html[lang="cn"] .introduce-about__identity-desc br { display: none; }

}

@media (max-width: 1200px){

    /* VAR */
    html[lang="cn"] {

        --font-size-primary-01: 60rem;
        --font-size-primary-03: 38rem;
        --font-size-primary-05: 28rem;

    }

    /* INTRODUCE */
    html[lang="cn"] .introduce-sustainability-vision__item { gap: 120rem; }

    /* MANUAL */
    html[lang="cn"] .manual-service-gallery__sticky-desc br { display: none; }

}

@media (max-width: 1023px){

    /* VAR */
    html[lang="cn"] {
        --font-size-primary-01: 56rem;
        --font-size-primary-03: 36rem;
    }

    html[lang="cn"] .manual-service-gallery__sticky-title br { display: none; }
    
}

@media (max-width: 860px){

    /* INTRODUCE */
    html[lang="cn"] .introduce-sustainability-vision__item { gap: 60rem; }


}

@media (max-width: 540px){

    /* VAR */
    html[lang="cn"] {
        --font-size-primary-01: 46rem;
        --font-size-primary-03: 34rem;
        --font-size-primary-08: 18rem;
    }

    /* TYPOGRAPHY */
    .jt-typo--16 { letter-spacing: 0em; }
    .jt-typo--17 { letter-spacing: 0em; }

    /* INTRODUCE */
    html[lang="cn"] .introduce-sustainability-vision__item { gap: 40rem; }

    /* CONSTRUTOR */
    html[lang="cn"] body.construct-visitor-center .construct-visual__section--02 .construct-visual__desc { white-space: nowrap; }

}